## org.eclipse.datatools.modelbase.sql.constraints
Interface SQLConstraintsPackage.Literals

Enclosing interface:
  SQLConstraintsPackage

public static interface SQLConstraintsPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `ASSERTION` The meta object literal for the '`Assertion`' class.
`static EReference` `ASSERTION__CONSTRAINED_TABLES` The meta object literal for the 'Constrained Tables' reference list feature.
`static EReference` `ASSERTION__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static EReference` `ASSERTION__SEARCH_CONDITION` The meta object literal for the 'Search Condition' containment reference feature.
`static EClass` `CHECK_CONSTRAINT` The meta object literal for the '`Check Constraint`' class.
`static EReference` `CHECK_CONSTRAINT__SEARCH_CONDITION` The meta object literal for the 'Search Condition' containment reference feature.
`static EClass` `CONSTRAINT` The meta object literal for the '`Constraint`' class.
`static EAttribute` `CONSTRAINT__DEFERRABLE` The meta object literal for the 'Deferrable' attribute feature.
`static EAttribute` `CONSTRAINT__ENFORCED` The meta object literal for the 'Enforced' attribute feature.
`static EAttribute` `CONSTRAINT__INITIALLY_DEFERRED` The meta object literal for the 'Initially Deferred' attribute feature.
`static EClass` `FOREIGN_KEY` The meta object literal for the '`Foreign Key`' class.
`static EAttribute` `FOREIGN_KEY__MATCH` The meta object literal for the 'Match' attribute feature.
`static EAttribute` `FOREIGN_KEY__ON_DELETE` The meta object literal for the 'On Delete' attribute feature.
`static EAttribute` `FOREIGN_KEY__ON_UPDATE` The meta object literal for the 'On Update' attribute feature.
`static EReference` `FOREIGN_KEY__REFERENCED_MEMBERS` The meta object literal for the 'Referenced Members' reference list feature.
`static EReference` `FOREIGN_KEY__REFERENCED_TABLE` The meta object literal for the 'Referenced Table' reference feature.
`static EReference` `FOREIGN_KEY__UNIQUE_CONSTRAINT` The meta object literal for the 'Unique Constraint' reference feature.
`static EReference` `FOREIGN_KEY__UNIQUE_INDEX` The meta object literal for the 'Unique Index' reference feature.
`static EEnum` `INCREMENT_TYPE` The meta object literal for the '`Increment Type`' enum.
`static EClass` `INDEX` The meta object literal for the '`Index`' class.
`static EAttribute` `INDEX__CLUSTERED` The meta object literal for the 'Clustered' attribute feature.
`static EAttribute` `INDEX__FILL_FACTOR` The meta object literal for the 'Fill Factor' attribute feature.
`static EReference` `INDEX__FOREIGN_KEY` The meta object literal for the 'Foreign Key' reference list feature.
`static EReference` `INDEX__INCLUDED_MEMBERS` The meta object literal for the 'Included Members' containment reference list feature.
`static EReference` `INDEX__MEMBERS` The meta object literal for the 'Members' containment reference list feature.
`static EReference` `INDEX__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static EAttribute` `INDEX__SYSTEM_GENERATED` The meta object literal for the 'System Generated' attribute feature.
`static EReference` `INDEX__TABLE` The meta object literal for the 'Table' reference feature.
`static EAttribute` `INDEX__UNIQUE` The meta object literal for the 'Unique' attribute feature.
`static EClass` `INDEX_MEMBER` The meta object literal for the '`Index Member`' class.
`static EReference` `INDEX_MEMBER__COLUMN` The meta object literal for the 'Column' reference feature.
`static EAttribute` `INDEX_MEMBER__INCREMENT_TYPE` The meta object literal for the 'Increment Type' attribute feature.
`static EEnum` `MATCH_TYPE` The meta object literal for the '`Match Type`' enum.
`static EClass` `PRIMARY_KEY` The meta object literal for the '`Primary Key`' class.
`static EClass` `REFERENCE_CONSTRAINT` The meta object literal for the '`Reference Constraint`' class.
`static EReference` `REFERENCE_CONSTRAINT__MEMBERS` The meta object literal for the 'Members' reference list feature.
`static EClass` `TABLE_CONSTRAINT` The meta object literal for the '`Table Constraint`' class.
`static EReference` `TABLE_CONSTRAINT__BASE_TABLE` The meta object literal for the 'Base Table' container reference feature.
`static EClass` `UNIQUE_CONSTRAINT` The meta object literal for the '`Unique Constraint`' class.
`static EReference` `UNIQUE_CONSTRAINT__FOREIGN_KEY` The meta object literal for the 'Foreign Key' reference list feature.

Field Detail

### ASSERTION

    public static final EClass ASSERTION

  The meta object literal for the '`Assertion`' class.

  See Also:
    `AssertionImpl`, `SQLConstraintsPackageImpl.getAssertion()`

### ASSERTION__SEARCH_CONDITION

    public static final EReference ASSERTION__SEARCH_CONDITION

  The meta object literal for the 'Search Condition' containment reference feature.

### ASSERTION__SCHEMA

    public static final EReference ASSERTION__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### ASSERTION__CONSTRAINED_TABLES

    public static final EReference ASSERTION__CONSTRAINED_TABLES

  The meta object literal for the 'Constrained Tables' reference list feature.

### CONSTRAINT

    public static final EClass CONSTRAINT

  The meta object literal for the '`Constraint`' class.

  See Also:
    `ConstraintImpl`, `SQLConstraintsPackageImpl.getConstraint()`

### CONSTRAINT__DEFERRABLE

    public static final EAttribute CONSTRAINT__DEFERRABLE

  The meta object literal for the 'Deferrable' attribute feature.

### CONSTRAINT__INITIALLY_DEFERRED

    public static final EAttribute CONSTRAINT__INITIALLY_DEFERRED

  The meta object literal for the 'Initially Deferred' attribute feature.

### CONSTRAINT__ENFORCED

    public static final EAttribute CONSTRAINT__ENFORCED

  The meta object literal for the 'Enforced' attribute feature.

### TABLE_CONSTRAINT

    public static final EClass TABLE_CONSTRAINT

  The meta object literal for the '`Table Constraint`' class.

  See Also:
    `TableConstraintImpl`, `SQLConstraintsPackageImpl.getTableConstraint()`

### TABLE_CONSTRAINT__BASE_TABLE

    public static final EReference TABLE_CONSTRAINT__BASE_TABLE

  The meta object literal for the 'Base Table' container reference feature.

### REFERENCE_CONSTRAINT

    public static final EClass REFERENCE_CONSTRAINT

  The meta object literal for the '`Reference Constraint`' class.

  See Also:
    `ReferenceConstraintImpl`, `SQLConstraintsPackageImpl.getReferenceConstraint()`

### REFERENCE_CONSTRAINT__MEMBERS

    public static final EReference REFERENCE_CONSTRAINT__MEMBERS

  The meta object literal for the 'Members' reference list feature.

### CHECK_CONSTRAINT

    public static final EClass CHECK_CONSTRAINT

  The meta object literal for the '`Check Constraint`' class.

  See Also:
    `CheckConstraintImpl`, `SQLConstraintsPackageImpl.getCheckConstraint()`

### CHECK_CONSTRAINT__SEARCH_CONDITION

    public static final EReference CHECK_CONSTRAINT__SEARCH_CONDITION

  The meta object literal for the 'Search Condition' containment reference feature.

### FOREIGN_KEY

    public static final EClass FOREIGN_KEY

  The meta object literal for the '`Foreign Key`' class.

  See Also:
    `ForeignKeyImpl`, `SQLConstraintsPackageImpl.getForeignKey()`

### FOREIGN_KEY__MATCH

    public static final EAttribute FOREIGN_KEY__MATCH

  The meta object literal for the 'Match' attribute feature.

### FOREIGN_KEY__ON_UPDATE

    public static final EAttribute FOREIGN_KEY__ON_UPDATE

  The meta object literal for the 'On Update' attribute feature.

### FOREIGN_KEY__ON_DELETE

    public static final EAttribute FOREIGN_KEY__ON_DELETE

  The meta object literal for the 'On Delete' attribute feature.

### FOREIGN_KEY__UNIQUE_CONSTRAINT

    public static final EReference FOREIGN_KEY__UNIQUE_CONSTRAINT

  The meta object literal for the 'Unique Constraint' reference feature.

### FOREIGN_KEY__REFERENCED_MEMBERS

    public static final EReference FOREIGN_KEY__REFERENCED_MEMBERS

  The meta object literal for the 'Referenced Members' reference list feature.

### FOREIGN_KEY__UNIQUE_INDEX

    public static final EReference FOREIGN_KEY__UNIQUE_INDEX

  The meta object literal for the 'Unique Index' reference feature.

### FOREIGN_KEY__REFERENCED_TABLE

    public static final EReference FOREIGN_KEY__REFERENCED_TABLE

  The meta object literal for the 'Referenced Table' reference feature.

### UNIQUE_CONSTRAINT

    public static final EClass UNIQUE_CONSTRAINT

  The meta object literal for the '`Unique Constraint`' class.

  See Also:
    `UniqueConstraintImpl`, `SQLConstraintsPackageImpl.getUniqueConstraint()`

### UNIQUE_CONSTRAINT__FOREIGN_KEY

    public static final EReference UNIQUE_CONSTRAINT__FOREIGN_KEY

  The meta object literal for the 'Foreign Key' reference list feature.

### PRIMARY_KEY

    public static final EClass PRIMARY_KEY

  The meta object literal for the '`Primary Key`' class.

  See Also:
    `PrimaryKeyImpl`, `SQLConstraintsPackageImpl.getPrimaryKey()`

### INDEX

    public static final EClass INDEX

  The meta object literal for the '`Index`' class.

  See Also:
    `IndexImpl`, `SQLConstraintsPackageImpl.getIndex()`

### INDEX__SCHEMA

    public static final EReference INDEX__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### INDEX__CLUSTERED

    public static final EAttribute INDEX__CLUSTERED

  The meta object literal for the 'Clustered' attribute feature.

### INDEX__FILL_FACTOR

    public static final EAttribute INDEX__FILL_FACTOR

  The meta object literal for the 'Fill Factor' attribute feature.

### INDEX__UNIQUE

    public static final EAttribute INDEX__UNIQUE

  The meta object literal for the 'Unique' attribute feature.

### INDEX__SYSTEM_GENERATED

    public static final EAttribute INDEX__SYSTEM_GENERATED

  The meta object literal for the 'System Generated' attribute feature.

### INDEX__MEMBERS

    public static final EReference INDEX__MEMBERS

  The meta object literal for the 'Members' containment reference list feature.

### INDEX__TABLE

    public static final EReference INDEX__TABLE

  The meta object literal for the 'Table' reference feature.

### INDEX__FOREIGN_KEY

    public static final EReference INDEX__FOREIGN_KEY

  The meta object literal for the 'Foreign Key' reference list feature.

### INDEX__INCLUDED_MEMBERS

    public static final EReference INDEX__INCLUDED_MEMBERS

  The meta object literal for the 'Included Members' containment reference list feature.

### INDEX_MEMBER

    public static final EClass INDEX_MEMBER

  The meta object literal for the '`Index Member`' class.

  See Also:
    `IndexMemberImpl`, `SQLConstraintsPackageImpl.getIndexMember()`

### INDEX_MEMBER__INCREMENT_TYPE

    public static final EAttribute INDEX_MEMBER__INCREMENT_TYPE

  The meta object literal for the 'Increment Type' attribute feature.

### INDEX_MEMBER__COLUMN

    public static final EReference INDEX_MEMBER__COLUMN

  The meta object literal for the 'Column' reference feature.

### MATCH_TYPE

    public static final EEnum MATCH_TYPE

  The meta object literal for the '`Match Type`' enum.

  See Also:
    `MatchType`, `SQLConstraintsPackageImpl.getMatchType()`

### INCREMENT_TYPE

    public static final EEnum INCREMENT_TYPE

  The meta object literal for the '`Increment Type`' enum.

  See Also:
    `IncrementType`, `SQLConstraintsPackageImpl.getIncrementType()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.